## ros-lunar-rosflight-msgs 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosflight_msgs)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  std_msgs
  message_generation
)

add_message_files(
  DIRECTORY msg
  FILES
  GPS.msg
  OutputRaw.msg
  RCRaw.msg
  Command.msg
  Barometer.msg
  Airspeed.msg
  Attitude.msg
  Status.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  ParamFile.srv
  ParamGet.srv
  ParamSet.srv
)

generate_messages(
  DEPENDENCIES
  geometry_msgs
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS geometry_msgs std_msgs
)

=== debian/changelog ===
ros-lunar-rosflight-msgs (1.0.0-0xenial) xenial; urgency=high

  * Small updates to package.xml's and readme
  * Updated mavlink and status message
  * Contributors: Daniel Koch, James Jackson, tyler

 -- Daniel Koch <daniel.p.koch@gmail.com>  Tue, 13 Mar 2018 06:00:00 -0000

ros-lunar-rosflight-msgs (0.1.3-0xenial) xenial; urgency=high

  * Updated package.xml files
  * Contributors: Daniel Koch

 -- Daniel Koch <daniel.p.koch@gmail.com>  Fri, 02 Jun 2017 06:00:00 -0000

ros-lunar-rosflight-msgs (0.1.2-0xenial) xenial; urgency=high



 -- Daniel Koch <daniel.p.koch@gmail.com>  Wed, 24 May 2017 06:00:00 -0000

ros-lunar-rosflight-msgs (0.1.1-0xenial) xenial; urgency=high



 -- Daniel Koch <daniel.p.koch@gmail.com>  Wed, 24 May 2017 06:00:00 -0000

ros-lunar-rosflight-msgs (0.1.0-0xenial) xenial; urgency=high

  * Created the rosflight_msgs package and updated dependencies
  * Contributors: Daniel Koch

 -- Daniel Koch <daniel.p.koch@gmail.com>  Mon, 22 May 2017 06:00:00 -0000

=== debian/control ===
Source: ros-lunar-rosflight-msgs
Section: misc
Priority: extra
Maintainer: Daniel Koch <daniel.p.koch@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: http://rosflight.org
Standards-Version: 3.9.2

Package: ros-lunar-rosflight-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: Message and service definitions for the ROSflight ROS stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosflight-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
